Skip to main content
POST
Prove the caller has an external spreadsheet open
Returns a 15-minute proof to send as placementProof when placing into this spreadsheet. EXCEL sends the workbook’s documentKey; GOOGLE_SHEETS, a Google ID token from the add-on’s Apps Script.

Authorizations

Authorization
string
header
required

Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.

Path Parameters

externalWorkbookId
string
required

Body

application/json

IssuePlacementProofInput

host
enum<string>
required
Available options:
GOOGLE_SHEETS,
EXCEL
documentKey
string | null
googleIdToken
string | null

Response

200 - application/json
expiresAt
string
required
proof
string
required